Type to search.

Delete a transform

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 7.5 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Required privileges

Cluster privileges manage_transform

Path parameters

transform_id string required

Identifier for the transform.

Query parameters

force boolean · default: false

If this value is false, the transform must be stopped before it can be deleted. If true, the transform is deleted regardless of its current state.

delete_dest_index boolean · default: false

If this value is true, the destination index is deleted together with the transform. If false, the destination index will not be deleted

timeout union oneOf · default: 30s

Period to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0

Response

application/json
acknowledged boolean required

For a successful response, this value is always true. On failure, an exception is returned instead.